/********************************************************************
 *     Clase Main
 ********************************************************************
 *
 * 
 * @autor : Jimena Luna, Jenniffer Mendoza
 *
 */

package memoricev2;

import javax.swing.UIManager;
import java.awt.*;
import memoricev2.Ventana.*;

public class Main
{
  private boolean packFrame = false;
  Ventana frame = new Ventana(this);
  ColorCelda objetoColorDeCelda=new ColorCelda(Color.red);

  public Main()
  {
       frame.juegonuevo(objetoColorDeCelda);
    this.arrancarVentana();
  }

  public void resetVentana(ColorCelda objetoColorDeCelda){
      this.objetoColorDeCelda=objetoColorDeCelda;
      this.frame=new Ventana(this);
      frame.juegonuevo(objetoColorDeCelda);
      this.arrancarVentana();
  }
  
  public void arrancarVentana(){
  

    if (packFrame)
    {
      frame.pack();
    }
    else
    {
      frame.validate();
    }

    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height)
    {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width)
    {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 3, (screenSize.height - frameSize.height) / 3);
    frame.setVisible(true);
  
  }
  
  
  
  
  public static void main(String[] args)
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
    new Main();
  }
}



